*** a/src/bin/pg_basebackup/pg_basebackup.c
--- b/src/bin/pg_basebackup/pg_basebackup.c
***************
*** 914,920 **** BaseBackup(void)
  	res = PQexec(conn, "IDENTIFY_SYSTEM");
  	if (PQresultStatus(res) != PGRES_TUPLES_OK)
  	{
! 		fprintf(stderr, _("%s: could not identify system: %s\n"),
  				progname, PQerrorMessage(conn));
  		disconnect_and_exit(1);
  	}
--- 914,920 ----
  	res = PQexec(conn, "IDENTIFY_SYSTEM");
  	if (PQresultStatus(res) != PGRES_TUPLES_OK)
  	{
! 		fprintf(stderr, _("%s: could not identify system: %s"),
  				progname, PQerrorMessage(conn));
  		disconnect_and_exit(1);
  	}
***************
*** 1049,1056 **** BaseBackup(void)
  	res = PQgetResult(conn);
  	if (PQresultStatus(res) != PGRES_TUPLES_OK)
  	{
! 		fprintf(stderr, _("%s: could not get WAL end position from server\n"),
! 				progname);
  		disconnect_and_exit(1);
  	}
  	if (PQntuples(res) != 1)
--- 1049,1056 ----
  	res = PQgetResult(conn);
  	if (PQresultStatus(res) != PGRES_TUPLES_OK)
  	{
! 		fprintf(stderr, _("%s: could not get WAL end position from server: %s"),
! 				progname, PQerrorMessage(conn));
  		disconnect_and_exit(1);
  	}
  	if (PQntuples(res) != 1)
